Python (SDK)
from meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.llm.memory_stores.delete_entry(memory_store_id="mem_aa87e2b1112a455b8deabed784372198", entry_id="mem_entry_bb98f3c2223b566c9dfbcef895483209", if_match="c378790c771dbb9651bae4c156f88a6b684d5b520a588e5b33d641aa96103680")
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.llm.memoryStores.deleteEntry({
memoryStoreId: "mem_aa87e2b1112a455b8deabed784372198",
entryId: "mem_entry_bb98f3c2223b566c9dfbcef895483209",
deleteMemoryEntryRequest: {
ifMatch: "c378790c771dbb9651bae4c156f88a6b684d5b520a588e5b33d641aa96103680",
},
});
console.log(result);
}
run();using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
Types.Requests.DeleteMemoryEntryRequest req = new MeetKai.MKA1.Types.Requests.DeleteMemoryEntryRequest() {
MemoryStoreId = "mem_aa87e2b1112a455b8deabed784372198",
EntryId = "mem_entry_bb98f3c2223b566c9dfbcef895483209",
Body = new MeetKai.MKA1.Types.Components.DeleteMemoryEntryRequest() {
IfMatch = "c378790c771dbb9651bae4c156f88a6b684d5b520a588e5b33d641aa96103680",
},
};
var res = await sdk.Llm.MemoryStores.DeleteEntryAsync(req);
// handle responsecurl --request DELETE \
--url https://apigw.mka1.com/api/v1/llm/memory_stores/{memory_store_id}/entries/{entry_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"if_match": "c378790c771dbb9651bae4c156f88a6b684d5b520a588e5b33d641aa96103680"
}
'const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({if_match: 'c378790c771dbb9651bae4c156f88a6b684d5b520a588e5b33d641aa96103680'})
};
fetch('https://apigw.mka1.com/api/v1/llm/memory_stores/{memory_store_id}/entries/{entry_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"object": "<unknown>",
"deleted": true
}Memory Stores
Eliminar entrada de memoria
DELETE
/
api
/
v1
/
llm
/
memory_stores
/
{memory_store_id}
/
entries
/
{entry_id}
Python (SDK)
from meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.llm.memory_stores.delete_entry(memory_store_id="mem_aa87e2b1112a455b8deabed784372198", entry_id="mem_entry_bb98f3c2223b566c9dfbcef895483209", if_match="c378790c771dbb9651bae4c156f88a6b684d5b520a588e5b33d641aa96103680")
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.llm.memoryStores.deleteEntry({
memoryStoreId: "mem_aa87e2b1112a455b8deabed784372198",
entryId: "mem_entry_bb98f3c2223b566c9dfbcef895483209",
deleteMemoryEntryRequest: {
ifMatch: "c378790c771dbb9651bae4c156f88a6b684d5b520a588e5b33d641aa96103680",
},
});
console.log(result);
}
run();using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
Types.Requests.DeleteMemoryEntryRequest req = new MeetKai.MKA1.Types.Requests.DeleteMemoryEntryRequest() {
MemoryStoreId = "mem_aa87e2b1112a455b8deabed784372198",
EntryId = "mem_entry_bb98f3c2223b566c9dfbcef895483209",
Body = new MeetKai.MKA1.Types.Components.DeleteMemoryEntryRequest() {
IfMatch = "c378790c771dbb9651bae4c156f88a6b684d5b520a588e5b33d641aa96103680",
},
};
var res = await sdk.Llm.MemoryStores.DeleteEntryAsync(req);
// handle responseAutorizaciones
Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.
Encabezados
Optional external end-user identifier forwarded by the API gateway.
Parámetros de consulta
Pattern:
^[a-f0-9]{64}$Cuerpo
application/json
Pattern:
^[a-f0-9]{64}$¿Esta página le ayudó?
⌘I